--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: serial_port_synthesis.vhd
-- /___/   /\     Timestamp: Tue May 26 17:01:57 2020
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -tm serial_port -w -dir netgen/synthesis -ofmt vhdl -sim serial_port.ngc serial_port_synthesis.vhd 
-- Device	: xc7z010-3-clg400
-- Input file	: serial_port.ngc
-- Output file	: /home/mike/Documents/SYS1/Labs/LAB_11_simpleCPU_4/VHDL/UART/netgen/synthesis/serial_port_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: serial_port
-- Xilinx	: /opt/Xilinx/14.7/ISE_DS/ISE/
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity serial_port is
  port (
    clk : in STD_LOGIC := 'X'; 
    clr : in STD_LOGIC := 'X'; 
    wr : in STD_LOGIC := 'X'; 
    rx : in STD_LOGIC := 'X'; 
    tx : out STD_LOGIC; 
    rx_valid : out STD_LOGIC; 
    rx_idle : out STD_LOGIC; 
    tx_idle : out STD_LOGIC; 
    baud_test : out STD_LOGIC; 
    data_i : in STD_LOGIC_VECTOR ( 7 downto 0 ); 
    data_o : out STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end serial_port;

architecture Structure of serial_port is
  signal NlwRenamedSig_OI_baud_test : STD_LOGIC; 
  signal rx_port_inst_rx_reg_pulse_pulse_d_23 : STD_LOGIC; 
  signal NlwRenamedSig_OI_rx_idle : STD_LOGIC; 
  signal tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25 : STD_LOGIC; 
  signal tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26 : STD_LOGIC; 
  signal tx_port_inst_tx_max : STD_LOGIC; 
  signal tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_40 : STD_LOGIC; 
  signal rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49 : STD_LOGIC; 
  signal rx_port_inst_bit_count_rst : STD_LOGIC; 
  signal rx_port_inst_rx_max : STD_LOGIC; 
  signal rx_port_inst_bit_max : STD_LOGIC; 
  signal baud_test_inv_65 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_lut_0_Q_67 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count1 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count2 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count3 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count4 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count5 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count6 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_lut_6_Q_80 : STD_LOGIC; 
  signal tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_In : STD_LOGIC; 
  signal tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_In : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_Mcount_bit_count3 : STD_LOGIC; 
  signal rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_In : STD_LOGIC; 
  signal rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_In : STD_LOGIC; 
  signal rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_86 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_Mcount_bit_count2 : STD_LOGIC; 
  signal tx_port_inst_tx_sync_inst_n0017_inv : STD_LOGIC; 
  signal tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_2_Q : STD_LOGIC; 
  signal tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_3_Q : STD_LOGIC; 
  signal tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_In_104 : STD_LOGIC; 
  signal tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_In : STD_LOGIC; 
  signal tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106 : STD_LOGIC; 
  signal rx_port_inst_rx_sync_inst_n0017_inv : STD_LOGIC; 
  signal rx_port_inst_rx_shift_reg_inst_n0013_inv : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_In : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_In : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_In_114 : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115 : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116 : STD_LOGIC; 
  signal rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117 : STD_LOGIC; 
  signal N0 : STD_LOGIC; 
  signal N4 : STD_LOGIC; 
  signal N6 : STD_LOGIC; 
  signal tx_port_inst_tx_sync_inst_tx_clk_count_1_rstpot_121 : STD_LOGIC; 
  signal tx_port_inst_tx_sync_inst_tx_clk_count_0_rstpot_122 : STD_LOGIC; 
  signal rx_port_inst_rx_sync_inst_rx_clk_count_1_rstpot_123 : STD_LOGIC; 
  signal rx_port_inst_rx_sync_inst_rx_clk_count_0_rstpot_124 : STD_LOGIC; 
  signal N12 : STD_LOGIC; 
  signal N14 : STD_LOGIC; 
  signal rx_port_inst_rx_sync_inst_rx_clk_count_2_rstpot_127 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_cy_1_rt_128 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_cy_2_rt_129 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_cy_3_rt_130 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_cy_4_rt_131 : STD_LOGIC; 
  signal baud_clk_inst_Mcount_baud_count_cy_5_rt_132 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_0_dpot_134 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_1_dpot_135 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_2_dpot_136 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_3_dpot_137 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_4_dpot_138 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_5_dpot_139 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_6_dpot_140 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_7_dpot_141 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_8_dpot_142 : STD_LOGIC; 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg_9_dpot_143 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_bit_count_0_dpot_145 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_bit_count_1_dpot_146 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_bit_count_2_dpot_147 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_bit_count_3_dpot_148 : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149 : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_bit_count_0_dpot_150 : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_bit_count_1_dpot_151 : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_bit_count_2_dpot_152 : STD_LOGIC; 
  signal tx_port_inst_tx_bit_cnt_inst_bit_count_3_dpot_153 : STD_LOGIC; 
  signal rx_port_inst_rx_bit_cnt_inst_n0018_inv1_154 : STD_LOGIC; 
  signal NlwRenamedSig_OI_tx_port_inst_tx_shift_reg_inst_bit_reg : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal rx_port_inst_rx_reg_dout : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal tx_port_inst_tx_data_reg_dout : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal tx_port_inst_tx_bit_cnt_inst_bit_count : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal baud_clk_inst_baud_count : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal rx_port_inst_rx_shift_reg_inst_bit_reg : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal rx_port_inst_rx_bit_cnt_inst_bit_count : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal baud_clk_inst_Mcount_baud_count_cy : STD_LOGIC_VECTOR ( 5 downto 0 ); 
  signal tx_port_inst_tx_shift_reg_inst_bit_reg : STD_LOGIC_VECTOR ( 9 downto 1 ); 
  signal tx_port_inst_tx_sync_inst_tx_clk_count : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal rx_port_inst_rx_sync_inst_rx_clk_count : STD_LOGIC_VECTOR ( 2 downto 0 ); 
begin
  data_o(7) <= rx_port_inst_rx_reg_dout(7);
  data_o(6) <= rx_port_inst_rx_reg_dout(6);
  data_o(5) <= rx_port_inst_rx_reg_dout(5);
  data_o(4) <= rx_port_inst_rx_reg_dout(4);
  data_o(3) <= rx_port_inst_rx_reg_dout(3);
  data_o(2) <= rx_port_inst_rx_reg_dout(2);
  data_o(1) <= rx_port_inst_rx_reg_dout(1);
  data_o(0) <= rx_port_inst_rx_reg_dout(0);
  tx <= NlwRenamedSig_OI_tx_port_inst_tx_shift_reg_inst_bit_reg(0);
  rx_valid <= rx_port_inst_rx_reg_pulse_pulse_d_23;
  rx_idle <= NlwRenamedSig_OI_rx_idle;
  baud_test <= NlwRenamedSig_OI_baud_test;
  XST_GND : GND
    port map (
      G => baud_clk_inst_baud_count(7)
    );
  rx_port_inst_rx_reg_pulse_pulse_d : FDC
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      Q => rx_port_inst_rx_reg_pulse_pulse_d_23
    );
  baud_clk_inst_Mcount_baud_count_cy_0_Q : MUXCY
    port map (
      CI => baud_test_inv_65,
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_lut_0_Q_67,
      O => baud_clk_inst_Mcount_baud_count_cy(0)
    );
  baud_clk_inst_Mcount_baud_count_xor_0_Q : XORCY
    port map (
      CI => baud_test_inv_65,
      LI => baud_clk_inst_Mcount_baud_count_lut_0_Q_67,
      O => baud_clk_inst_Mcount_baud_count
    );
  baud_clk_inst_Mcount_baud_count_cy_1_Q : MUXCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(0),
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_cy_1_rt_128,
      O => baud_clk_inst_Mcount_baud_count_cy(1)
    );
  baud_clk_inst_Mcount_baud_count_xor_1_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(0),
      LI => baud_clk_inst_Mcount_baud_count_cy_1_rt_128,
      O => baud_clk_inst_Mcount_baud_count1
    );
  baud_clk_inst_Mcount_baud_count_cy_2_Q : MUXCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(1),
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_cy_2_rt_129,
      O => baud_clk_inst_Mcount_baud_count_cy(2)
    );
  baud_clk_inst_Mcount_baud_count_xor_2_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(1),
      LI => baud_clk_inst_Mcount_baud_count_cy_2_rt_129,
      O => baud_clk_inst_Mcount_baud_count2
    );
  baud_clk_inst_Mcount_baud_count_cy_3_Q : MUXCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(2),
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_cy_3_rt_130,
      O => baud_clk_inst_Mcount_baud_count_cy(3)
    );
  baud_clk_inst_Mcount_baud_count_xor_3_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(2),
      LI => baud_clk_inst_Mcount_baud_count_cy_3_rt_130,
      O => baud_clk_inst_Mcount_baud_count3
    );
  baud_clk_inst_Mcount_baud_count_cy_4_Q : MUXCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(3),
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_cy_4_rt_131,
      O => baud_clk_inst_Mcount_baud_count_cy(4)
    );
  baud_clk_inst_Mcount_baud_count_xor_4_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(3),
      LI => baud_clk_inst_Mcount_baud_count_cy_4_rt_131,
      O => baud_clk_inst_Mcount_baud_count4
    );
  baud_clk_inst_Mcount_baud_count_cy_5_Q : MUXCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(4),
      DI => baud_clk_inst_baud_count(7),
      S => baud_clk_inst_Mcount_baud_count_cy_5_rt_132,
      O => baud_clk_inst_Mcount_baud_count_cy(5)
    );
  baud_clk_inst_Mcount_baud_count_xor_5_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(4),
      LI => baud_clk_inst_Mcount_baud_count_cy_5_rt_132,
      O => baud_clk_inst_Mcount_baud_count5
    );
  baud_clk_inst_Mcount_baud_count_xor_6_Q : XORCY
    port map (
      CI => baud_clk_inst_Mcount_baud_count_cy(5),
      LI => baud_clk_inst_Mcount_baud_count_lut_6_Q_80,
      O => baud_clk_inst_Mcount_baud_count6
    );
  baud_clk_inst_baud_count_0 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count,
      Q => baud_clk_inst_baud_count(0)
    );
  baud_clk_inst_baud_count_1 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count1,
      Q => baud_clk_inst_baud_count(1)
    );
  baud_clk_inst_baud_count_2 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count2,
      Q => baud_clk_inst_baud_count(2)
    );
  baud_clk_inst_baud_count_3 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count3,
      Q => baud_clk_inst_baud_count(3)
    );
  baud_clk_inst_baud_count_4 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count4,
      Q => baud_clk_inst_baud_count(4)
    );
  baud_clk_inst_baud_count_5 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count5,
      Q => baud_clk_inst_baud_count(5)
    );
  baud_clk_inst_baud_count_6 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => baud_clk_inst_Mcount_baud_count6,
      Q => baud_clk_inst_baud_count(6)
    );
  tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_In,
      Q => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25
    );
  tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_In,
      Q => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_40
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_0 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => tx_port_inst_tx_bit_cnt_inst_bit_count_0_dpot_150,
      Q => tx_port_inst_tx_bit_cnt_inst_bit_count(0)
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_1 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => tx_port_inst_tx_bit_cnt_inst_bit_count_1_dpot_151,
      Q => tx_port_inst_tx_bit_cnt_inst_bit_count(1)
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_2 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => tx_port_inst_tx_bit_cnt_inst_bit_count_2_dpot_152,
      Q => tx_port_inst_tx_bit_cnt_inst_bit_count(2)
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_3 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => tx_port_inst_tx_bit_cnt_inst_bit_count_3_dpot_153,
      Q => tx_port_inst_tx_bit_cnt_inst_bit_count(3)
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_0 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => rx_port_inst_rx_bit_cnt_inst_bit_count_0_dpot_145,
      Q => rx_port_inst_rx_bit_cnt_inst_bit_count(0)
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_1 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => rx_port_inst_rx_bit_cnt_inst_bit_count_1_dpot_146,
      Q => rx_port_inst_rx_bit_cnt_inst_bit_count(1)
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_2 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => rx_port_inst_rx_bit_cnt_inst_bit_count_2_dpot_147,
      Q => rx_port_inst_rx_bit_cnt_inst_bit_count(2)
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_3 : FDCE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      CLR => clr,
      D => rx_port_inst_rx_bit_cnt_inst_bit_count_3_dpot_148,
      Q => rx_port_inst_rx_bit_cnt_inst_bit_count(3)
    );
  rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3 : FDP
    generic map(
      INIT => '1'
    )
    port map (
      C => clk,
      D => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_In,
      PRE => clr,
      Q => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_86
    );
  rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_In,
      Q => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49
    );
  rx_port_inst_rx_reg_dout_7 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(7),
      Q => rx_port_inst_rx_reg_dout(7)
    );
  rx_port_inst_rx_reg_dout_6 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(6),
      Q => rx_port_inst_rx_reg_dout(6)
    );
  rx_port_inst_rx_reg_dout_5 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(5),
      Q => rx_port_inst_rx_reg_dout(5)
    );
  rx_port_inst_rx_reg_dout_4 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(4),
      Q => rx_port_inst_rx_reg_dout(4)
    );
  rx_port_inst_rx_reg_dout_3 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(3),
      Q => rx_port_inst_rx_reg_dout(3)
    );
  rx_port_inst_rx_reg_dout_2 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(2),
      Q => rx_port_inst_rx_reg_dout(2)
    );
  rx_port_inst_rx_reg_dout_1 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(1),
      Q => rx_port_inst_rx_reg_dout(1)
    );
  rx_port_inst_rx_reg_dout_0 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(0),
      Q => rx_port_inst_rx_reg_dout(0)
    );
  tx_port_inst_tx_data_reg_dout_7 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(7),
      Q => tx_port_inst_tx_data_reg_dout(7)
    );
  tx_port_inst_tx_data_reg_dout_6 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(6),
      Q => tx_port_inst_tx_data_reg_dout(6)
    );
  tx_port_inst_tx_data_reg_dout_5 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(5),
      Q => tx_port_inst_tx_data_reg_dout(5)
    );
  tx_port_inst_tx_data_reg_dout_4 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(4),
      Q => tx_port_inst_tx_data_reg_dout(4)
    );
  tx_port_inst_tx_data_reg_dout_3 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(3),
      Q => tx_port_inst_tx_data_reg_dout(3)
    );
  tx_port_inst_tx_data_reg_dout_2 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(2),
      Q => tx_port_inst_tx_data_reg_dout(2)
    );
  tx_port_inst_tx_data_reg_dout_1 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(1),
      Q => tx_port_inst_tx_data_reg_dout(1)
    );
  tx_port_inst_tx_data_reg_dout_0 : FDCE
    port map (
      C => clk,
      CE => wr,
      CLR => clr,
      D => data_i(0),
      Q => tx_port_inst_tx_data_reg_dout(0)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_9 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_9_dpot_143,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(9)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_8 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_8_dpot_142,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(8)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_7 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_7_dpot_141,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(7)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_6 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_6_dpot_140,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(6)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_5 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_5_dpot_139,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(5)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_4 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_4_dpot_138,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(4)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_3 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_3_dpot_137,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(3)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_2 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_2_dpot_136,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(2)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_1 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_1_dpot_135,
      PRE => clr,
      Q => tx_port_inst_tx_shift_reg_inst_bit_reg(1)
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_0 : FDPE
    port map (
      C => clk,
      CE => NlwRenamedSig_OI_baud_test,
      D => tx_port_inst_tx_shift_reg_inst_bit_reg_0_dpot_134,
      PRE => clr,
      Q => NlwRenamedSig_OI_tx_port_inst_tx_shift_reg_inst_bit_reg(0)
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_3 : FDCE
    port map (
      C => clk,
      CE => tx_port_inst_tx_sync_inst_n0017_inv,
      CLR => clr,
      D => tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_3_Q,
      Q => tx_port_inst_tx_sync_inst_tx_clk_count(3)
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_2 : FDCE
    port map (
      C => clk,
      CE => tx_port_inst_tx_sync_inst_n0017_inv,
      CLR => clr,
      D => tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_2_Q,
      Q => tx_port_inst_tx_sync_inst_tx_clk_count(2)
    );
  tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_In_104,
      Q => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106
    );
  tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_In,
      Q => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_7 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx,
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(7)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_6 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(7),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(6)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_5 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(6),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(5)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_4 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(5),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(4)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_3 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(4),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(3)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_2 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(3),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(2)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_1 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(2),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(1)
    );
  rx_port_inst_rx_shift_reg_inst_bit_reg_0 : FDCE
    port map (
      C => clk,
      CE => rx_port_inst_rx_shift_reg_inst_n0013_inv,
      CLR => clr,
      D => rx_port_inst_rx_shift_reg_inst_bit_reg(1),
      Q => rx_port_inst_rx_shift_reg_inst_bit_reg(0)
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_In,
      Q => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_In,
      Q => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_In_114,
      Q => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115
    );
  rx_port_inst_rx_bit_cnt_inst_max_3_1 : LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      I0 => rx_port_inst_rx_bit_cnt_inst_bit_count(3),
      I1 => rx_port_inst_rx_bit_cnt_inst_bit_count(2),
      I2 => rx_port_inst_rx_bit_cnt_inst_bit_count(1),
      I3 => rx_port_inst_rx_bit_cnt_inst_bit_count(0),
      O => rx_port_inst_bit_max
    );
  tx_port_inst_tx_sync_inst_sPnt_3_1 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => tx_port_inst_tx_sync_inst_tx_clk_count(3),
      I1 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I2 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      I3 => tx_port_inst_tx_sync_inst_tx_clk_count(2),
      O => tx_port_inst_tx_max
    );
  tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_In1 : LUT4
    generic map(
      INIT => X"02F0"
    )
    port map (
      I0 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => NlwRenamedSig_OI_baud_test,
      O => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_In
    );
  rx_port_inst_rx_sync_inst_sPnt_2_1 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      O => rx_port_inst_rx_max
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_In1 : LUT6
    generic map(
      INIT => X"44F000F0F0F0F0F0"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I3 => rx_port_inst_rx_max,
      I4 => rx_port_inst_bit_max,
      I5 => NlwRenamedSig_OI_baud_test,
      O => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_In
    );
  rx_port_inst_rx_state_mac_inst_present_state_bRst1 : LUT3
    generic map(
      INIT => X"51"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      O => rx_port_inst_bit_count_rst
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_In1 : LUT6
    generic map(
      INIT => X"C4F0F4F0F0F0F0F0"
    )
    port map (
      I0 => rx,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I3 => rx_port_inst_rx_max,
      I4 => rx_port_inst_bit_max,
      I5 => NlwRenamedSig_OI_baud_test,
      O => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_In
    );
  rx_port_inst_rx_state_mac_inst_rxRst1 : LUT3
    generic map(
      INIT => X"01"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      O => NlwRenamedSig_OI_rx_idle
    );
  baud_test_inv_SW0 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => baud_clk_inst_baud_count(3),
      I1 => baud_clk_inst_baud_count(1),
      O => N0
    );
  baud_test_inv : LUT6
    generic map(
      INIT => X"FFFFFFFFFFFFFFF7"
    )
    port map (
      I0 => baud_clk_inst_baud_count(0),
      I1 => baud_clk_inst_baud_count(6),
      I2 => baud_clk_inst_baud_count(2),
      I3 => baud_clk_inst_baud_count(4),
      I4 => baud_clk_inst_baud_count(5),
      I5 => N0,
      O => baud_test_inv_65
    );
  rx_port_inst_rx_bit_cnt_inst_n0018_inv1 : LUT6
    generic map(
      INIT => X"0000000000000008"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => baud_clk_inst_baud_count(0),
      I2 => baud_clk_inst_baud_count(5),
      I3 => baud_clk_inst_baud_count(4),
      I4 => baud_clk_inst_baud_count(2),
      I5 => N0,
      O => NlwRenamedSig_OI_baud_test
    );
  tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_In_SW0 : LUT3
    generic map(
      INIT => X"F7"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(1),
      I1 => tx_port_inst_tx_bit_cnt_inst_bit_count(3),
      I2 => tx_port_inst_tx_bit_cnt_inst_bit_count(0),
      O => N4
    );
  tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_In : LUT6
    generic map(
      INIT => X"FCF8FCFCCCCCCCCC"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(2),
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => N4,
      I4 => tx_port_inst_tx_max,
      I5 => NlwRenamedSig_OI_baud_test,
      O => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_In_104
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_In_SW0 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I1 => rx,
      O => N6
    );
  rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_In : LUT6
    generic map(
      INIT => X"01CD23CDCCCCCCCC"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I2 => N6,
      I3 => rx_port_inst_rx_max,
      I4 => rx_port_inst_bit_max,
      I5 => NlwRenamedSig_OI_baud_test,
      O => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_In_114
    );
  baud_clk_inst_Mcount_baud_count_lut_0_Q : LUT6
    generic map(
      INIT => X"CCCCCCCCCCCCCCC4"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => baud_clk_inst_baud_count(0),
      I2 => baud_clk_inst_baud_count(2),
      I3 => baud_clk_inst_baud_count(4),
      I4 => baud_clk_inst_baud_count(5),
      I5 => N0,
      O => baud_clk_inst_Mcount_baud_count_lut_0_Q_67
    );
  baud_clk_inst_Mcount_baud_count_lut_6_Q : LUT6
    generic map(
      INIT => X"AAAAAAA8AAAAAAAA"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => baud_clk_inst_baud_count(4),
      I2 => baud_clk_inst_baud_count(2),
      I3 => N0,
      I4 => baud_clk_inst_baud_count(5),
      I5 => baud_clk_inst_baud_count(0),
      O => baud_clk_inst_Mcount_baud_count_lut_6_Q_80
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_1 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_sync_inst_tx_clk_count_1_rstpot_121,
      Q => tx_port_inst_tx_sync_inst_tx_clk_count(1)
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_0 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => tx_port_inst_tx_sync_inst_tx_clk_count_0_rstpot_122,
      Q => tx_port_inst_tx_sync_inst_tx_clk_count(0)
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_1 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_sync_inst_rx_clk_count_1_rstpot_123,
      Q => rx_port_inst_rx_sync_inst_rx_clk_count(1)
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_0 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_sync_inst_rx_clk_count_0_rstpot_124,
      Q => rx_port_inst_rx_sync_inst_rx_clk_count(0)
    );
  rx_port_inst_rx_shift_reg_inst_n0013_inv1 : LUT6
    generic map(
      INIT => X"8000000000000000"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I4 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I5 => rx_port_inst_rx_bit_cnt_inst_n0018_inv1_154,
      O => rx_port_inst_rx_shift_reg_inst_n0013_inv
    );
  rx_port_inst_rx_bit_cnt_inst_n0018_inv1_SW0 : LUT3
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => baud_clk_inst_baud_count(2),
      I1 => baud_clk_inst_baud_count(0),
      I2 => baud_clk_inst_baud_count(4),
      O => N12
    );
  tx_port_inst_tx_sync_inst_n0017_inv1 : LUT6
    generic map(
      INIT => X"000F000F000F222F"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => baud_clk_inst_baud_count(5),
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => N0,
      I5 => N12,
      O => tx_port_inst_tx_sync_inst_n0017_inv
    );
  rx_port_inst_rx_bit_cnt_inst_n0018_inv1_SW1 : LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => baud_clk_inst_baud_count(2),
      I1 => baud_clk_inst_baud_count(4),
      I2 => baud_clk_inst_baud_count(0),
      I3 => baud_clk_inst_baud_count(5),
      O => N14
    );
  rx_port_inst_rx_sync_inst_n0017_inv1 : LUT6
    generic map(
      INIT => X"000300030003AAAB"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I4 => N0,
      I5 => N14,
      O => rx_port_inst_rx_sync_inst_n0017_inv
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_2 : FDC
    port map (
      C => clk,
      CLR => clr,
      D => rx_port_inst_rx_sync_inst_rx_clk_count_2_rstpot_127,
      Q => rx_port_inst_rx_sync_inst_rx_clk_count(2)
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_1_rstpot : LUT5
    generic map(
      INIT => X"6660AAAA"
    )
    port map (
      I0 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      I1 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_sync_inst_n0017_inv,
      O => tx_port_inst_tx_sync_inst_tx_clk_count_1_rstpot_121
    );
  tx_port_inst_tx_sync_inst_tx_clk_count_0_rstpot : LUT4
    generic map(
      INIT => X"54AA"
    )
    port map (
      I0 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => tx_port_inst_tx_sync_inst_n0017_inv,
      O => tx_port_inst_tx_sync_inst_tx_clk_count_0_rstpot_122
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_1_rstpot : LUT6
    generic map(
      INIT => X"66666660AAAAAAAA"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I4 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I5 => rx_port_inst_rx_sync_inst_n0017_inv,
      O => rx_port_inst_rx_sync_inst_rx_clk_count_1_rstpot_123
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_0_rstpot : LUT5
    generic map(
      INIT => X"5554AAAA"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I4 => rx_port_inst_rx_sync_inst_n0017_inv,
      O => rx_port_inst_rx_sync_inst_rx_clk_count_0_rstpot_124
    );
  rx_port_inst_rx_sync_inst_rx_clk_count_2_rstpot : LUT5
    generic map(
      INIT => X"1222AAAA"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I1 => NlwRenamedSig_OI_rx_idle,
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I3 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I4 => rx_port_inst_rx_sync_inst_n0017_inv,
      O => rx_port_inst_rx_sync_inst_rx_clk_count_2_rstpot_127
    );
  rx_port_inst_rx_bit_cnt_inst_Mcount_bit_count_xor_2_11 : LUT6
    generic map(
      INIT => X"00AEAE00AE00AE00"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I3 => rx_port_inst_rx_bit_cnt_inst_bit_count(2),
      I4 => rx_port_inst_rx_bit_cnt_inst_bit_count(0),
      I5 => rx_port_inst_rx_bit_cnt_inst_bit_count(1),
      O => rx_port_inst_rx_bit_cnt_inst_Mcount_bit_count2
    );
  tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_In1 : LUT5
    generic map(
      INIT => X"10111010"
    )
    port map (
      I0 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25,
      I3 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_40,
      I4 => wr,
      O => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_In
    );
  tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_In1 : LUT4
    generic map(
      INIT => X"EEE0"
    )
    port map (
      I0 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_40,
      I3 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25,
      O => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_In
    );
  tx_port_inst_tx_bit_cnt_inst_Mcount_bit_count_xor_3_11 : LUT6
    generic map(
      INIT => X"0EE0E0E0E0E0E0E0"
    )
    port map (
      I0 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_bit_cnt_inst_bit_count(3),
      I3 => tx_port_inst_tx_bit_cnt_inst_bit_count(0),
      I4 => tx_port_inst_tx_bit_cnt_inst_bit_count(1),
      I5 => tx_port_inst_tx_bit_cnt_inst_bit_count(2),
      O => tx_port_inst_tx_bit_cnt_inst_Mcount_bit_count3
    );
  tx_port_inst_tx_sync_inst_Mmux_tx_clk_count_3_GND_18_o_mux_4_OUT41 : LUT6
    generic map(
      INIT => X"0EE0E0E0E0E0E0E0"
    )
    port map (
      I0 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_sync_inst_tx_clk_count(3),
      I3 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I4 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      I5 => tx_port_inst_tx_sync_inst_tx_clk_count(2),
      O => tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_3_Q
    );
  tx_port_inst_tx_sync_inst_Mmux_tx_clk_count_3_GND_18_o_mux_4_OUT31 : LUT5
    generic map(
      INIT => X"0EE0E0E0"
    )
    port map (
      I0 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_sync_inst_tx_clk_count(2),
      I3 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I4 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      O => tx_port_inst_tx_sync_inst_tx_clk_count_3_GND_18_o_mux_4_OUT_2_Q
    );
  rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_In1 : LUT6
    generic map(
      INIT => X"1555555555555555"
    )
    port map (
      I0 => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_49,
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I3 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I4 => rx,
      I5 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      O => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_In
    );
  rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_In1 : LUT6
    generic map(
      INIT => X"8000000000000000"
    )
    port map (
      I0 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I3 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I4 => rx,
      I5 => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd3_86,
      O => rx_port_inst_rx_reg_pulse_present_state_FSM_FFd2_In
    );
  tx_port_inst_tx_handshake_inst_Mmux_idle_out11 : LUT5
    generic map(
      INIT => X"11111011"
    )
    port map (
      I0 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd1_40,
      I1 => tx_port_inst_tx_handshake_inst_present_state_FSM_FFd2_25,
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I3 => wr,
      I4 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      O => tx_idle
    );
  baud_clk_inst_Mcount_baud_count_cy_1_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => baud_clk_inst_baud_count(1),
      O => baud_clk_inst_Mcount_baud_count_cy_1_rt_128
    );
  baud_clk_inst_Mcount_baud_count_cy_2_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => baud_clk_inst_baud_count(2),
      O => baud_clk_inst_Mcount_baud_count_cy_2_rt_129
    );
  baud_clk_inst_Mcount_baud_count_cy_3_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => baud_clk_inst_baud_count(3),
      O => baud_clk_inst_Mcount_baud_count_cy_3_rt_130
    );
  baud_clk_inst_Mcount_baud_count_cy_4_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => baud_clk_inst_baud_count(4),
      O => baud_clk_inst_Mcount_baud_count_cy_4_rt_131
    );
  baud_clk_inst_Mcount_baud_count_cy_5_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => baud_clk_inst_baud_count(5),
      O => baud_clk_inst_Mcount_baud_count_cy_5_rt_132
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_2_dpot : LUT3
    generic map(
      INIT => X"CA"
    )
    port map (
      I0 => rx_port_inst_rx_bit_cnt_inst_bit_count(2),
      I1 => rx_port_inst_rx_bit_cnt_inst_Mcount_bit_count2,
      I2 => rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144,
      O => rx_port_inst_rx_bit_cnt_inst_bit_count_2_dpot_147
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_3_dpot : LUT6
    generic map(
      INIT => X"12222222AAAAAAAA"
    )
    port map (
      I0 => rx_port_inst_rx_bit_cnt_inst_bit_count(3),
      I1 => rx_port_inst_bit_count_rst,
      I2 => rx_port_inst_rx_bit_cnt_inst_bit_count(2),
      I3 => rx_port_inst_rx_bit_cnt_inst_bit_count(0),
      I4 => rx_port_inst_rx_bit_cnt_inst_bit_count(1),
      I5 => rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144,
      O => rx_port_inst_rx_bit_cnt_inst_bit_count_3_dpot_148
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_0_dpot : LUT4
    generic map(
      INIT => X"FDA8"
    )
    port map (
      I0 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(1),
      I3 => NlwRenamedSig_OI_tx_port_inst_tx_shift_reg_inst_bit_reg(0),
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_0_dpot_134
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_1_dpot : LUT4
    generic map(
      INIT => X"7520"
    )
    port map (
      I0 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(2),
      I3 => tx_port_inst_tx_shift_reg_inst_bit_reg(1),
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_1_dpot_135
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_2_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(0),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(2),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(3),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_2_dpot_136
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_3_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(1),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(3),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(4),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_3_dpot_137
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_4_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(2),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(4),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(5),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_4_dpot_138
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_5_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(3),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(5),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(6),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_5_dpot_139
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_6_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(4),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(6),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(7),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_6_dpot_140
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_7_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(5),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(7),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(8),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_7_dpot_141
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_8_dpot : LUT5
    generic map(
      INIT => X"AAF0CCCC"
    )
    port map (
      I0 => tx_port_inst_tx_data_reg_dout(6),
      I1 => tx_port_inst_tx_shift_reg_inst_bit_reg(8),
      I2 => tx_port_inst_tx_shift_reg_inst_bit_reg(9),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I4 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_8_dpot_142
    );
  tx_port_inst_tx_shift_reg_inst_bit_reg_9_dpot : LUT4
    generic map(
      INIT => X"DF8A"
    )
    port map (
      I0 => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133,
      I1 => tx_port_inst_tx_data_reg_dout(7),
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => tx_port_inst_tx_shift_reg_inst_bit_reg(9),
      O => tx_port_inst_tx_shift_reg_inst_bit_reg_9_dpot_143
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_0_dpot : LUT5
    generic map(
      INIT => X"4544AAAA"
    )
    port map (
      I0 => rx_port_inst_rx_bit_cnt_inst_bit_count(0),
      I1 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I4 => rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144,
      O => rx_port_inst_rx_bit_cnt_inst_bit_count_0_dpot_145
    );
  rx_port_inst_rx_bit_cnt_inst_bit_count_1_dpot : LUT6
    generic map(
      INIT => X"66660600AAAAAAAA"
    )
    port map (
      I0 => rx_port_inst_rx_bit_cnt_inst_bit_count(1),
      I1 => rx_port_inst_rx_bit_cnt_inst_bit_count(0),
      I2 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      I4 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I5 => rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144,
      O => rx_port_inst_rx_bit_cnt_inst_bit_count_1_dpot_146
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_3_dpot : LUT3
    generic map(
      INIT => X"CA"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(3),
      I1 => tx_port_inst_tx_bit_cnt_inst_Mcount_bit_count3,
      I2 => tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149,
      O => tx_port_inst_tx_bit_cnt_inst_bit_count_3_dpot_153
    );
  tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot : LUT6
    generic map(
      INIT => X"8000FFFF80000000"
    )
    port map (
      I0 => tx_port_inst_tx_sync_inst_tx_clk_count(3),
      I1 => tx_port_inst_tx_sync_inst_tx_clk_count(2),
      I2 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      I3 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I4 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I5 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      O => tx_port_inst_tx_shift_reg_inst_n0017_inv1_rstpot_133
    );
  rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot : LUT6
    generic map(
      INIT => X"0000000080FF00FF"
    )
    port map (
      I0 => rx_port_inst_rx_sync_inst_rx_clk_count(2),
      I1 => rx_port_inst_rx_sync_inst_rx_clk_count(1),
      I2 => rx_port_inst_rx_sync_inst_rx_clk_count(0),
      I3 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd2_116,
      I4 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd3_115,
      I5 => rx_port_inst_rx_state_mac_inst_present_state_FSM_FFd1_117,
      O => rx_port_inst_rx_bit_cnt_inst_n0018_inv2_rstpot_144
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_0_dpot : LUT4
    generic map(
      INIT => X"54AA"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(0),
      I1 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149,
      O => tx_port_inst_tx_bit_cnt_inst_bit_count_0_dpot_150
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_1_dpot : LUT5
    generic map(
      INIT => X"6660AAAA"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(1),
      I1 => tx_port_inst_tx_bit_cnt_inst_bit_count(0),
      I2 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I4 => tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149,
      O => tx_port_inst_tx_bit_cnt_inst_bit_count_1_dpot_151
    );
  tx_port_inst_tx_bit_cnt_inst_bit_count_2_dpot : LUT6
    generic map(
      INIT => X"6A6A6A00AAAAAAAA"
    )
    port map (
      I0 => tx_port_inst_tx_bit_cnt_inst_bit_count(2),
      I1 => tx_port_inst_tx_bit_cnt_inst_bit_count(1),
      I2 => tx_port_inst_tx_bit_cnt_inst_bit_count(0),
      I3 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I4 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      I5 => tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149,
      O => tx_port_inst_tx_bit_cnt_inst_bit_count_2_dpot_152
    );
  tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot : LUT6
    generic map(
      INIT => X"800000008000FFFF"
    )
    port map (
      I0 => tx_port_inst_tx_sync_inst_tx_clk_count(3),
      I1 => tx_port_inst_tx_sync_inst_tx_clk_count(2),
      I2 => tx_port_inst_tx_sync_inst_tx_clk_count(1),
      I3 => tx_port_inst_tx_sync_inst_tx_clk_count(0),
      I4 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd1_106,
      I5 => tx_port_inst_tx_state_mac_inst_present_state_FSM_FFd2_26,
      O => tx_port_inst_tx_bit_cnt_inst_n0018_inv1_rstpot_149
    );
  rx_port_inst_rx_bit_cnt_inst_n0018_inv1_1 : LUT6
    generic map(
      INIT => X"0000000000000008"
    )
    port map (
      I0 => baud_clk_inst_baud_count(6),
      I1 => baud_clk_inst_baud_count(0),
      I2 => baud_clk_inst_baud_count(5),
      I3 => baud_clk_inst_baud_count(4),
      I4 => baud_clk_inst_baud_count(2),
      I5 => N0,
      O => rx_port_inst_rx_bit_cnt_inst_n0018_inv1_154
    );

end Structure;

